Bug 1304382 - (CVE-2015-8805) CVE-2015-8805 nettle: secp256 calculation bug
CVE-2015-8805 nettle: secp256 calculation bug
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160202,repor...
: Security
Depends On: 1304308 1304304 1304305 1304306 1305766 1314374
Blocks: 1304384
  Show dependency treegraph
 
Reported: 2016-02-03 08:04 EST by Andrej Nemec
Modified: 2016-11-04 04:30 EDT (History)
10 users (show)

See Also:
Fixed In Version: nettle 3.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 17:58:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2016-02-03 08:04:47 EST
A mistake in the computation of elliptic curve scalar multiplications was found in nettle.

Oss-security reference:

http://seclists.org/oss-sec/2016/q1/266

CVE assignment:

http://seclists.org/oss-sec/2016/q1/273

Upstream fix:

https://git.lysator.liu.se/nettle/nettle/commit/c71d2c9d20eeebb985e3872e4550137209e3ce4d
Comment 1 Tomas Hoger 2016-02-09 02:53:35 EST
Fixed upstream in nettle 3.2:

https://lists.gnu.org/archive/html/info-gnu/2016-01/msg00006.html
Comment 7 errata-xmlrpc 2016-11-03 15:31:13 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2582 https://rhn.redhat.com/errata/RHSA-2016-2582.html

Note You need to log in before you can comment on or make changes to this bug.